fitness::HardwareHealth_1_0_1 Interface Reference

## Classes

struct | Failure
| Hardware Failure. More...

## Public Member Functions

vector< Failure > | getFailures ()
| Return a vector with past and present hardware failures. More...

## Public Attributes

constant int | FAILURE_TYPE_NETWORK_DEVICE_NOT_DETECTED = 1
| hardware failure types
constant int | FAILURE_TYPE_I2C_BUS_STUCK = 2
constant int | FAILURE_TYPE_SLAVE_CTRL_NOT_REACHABLE = 3
constant int | FAILURE_TYPE_SLAVE_CTRL_MALFUNCTION = 4
constant int | FAILURE_TYPE_OUTLET_POWER_STATE_INCONSISTENT = 5
valueobject | FailureStatusChangedEvent: idl::Event { string componentId
| Event that is send when the hardware failure status changes. More...
int | failureType
| one of the hardware failure type constants
boolean | isAsserted
| `true` when the failure is currently asserted

## Member Function Documentation

## getFailures()

vector<Failure> fitness::HardwareHealth_1_0_1::getFailures | ( |  | ) |

Return a vector with past and present hardware failures.

Returns
  hardware failure vector

## Member Data Documentation

## FailureStatusChangedEvent

valueobject fitness::HardwareHealth_1_0_1::FailureStatusChangedEvent

Event that is send when the hardware failure status changes.

the ID of the affected hardware component

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/HardwareHealth.idl